CREATE TABLE TIPO_CTA_CONTABLE
(
   CD_TIPO_CTA_CONTABLE SERIAL CONSTRAINT PK_TIPO_CTA_CONTABLE NOT NULL PRIMARY KEY,
   NM_TIPO_CTA_CONTABLE VARCHAR(60) NOT NULL UNIQUE,
   DESCRIPCION VARCHAR(80)
);

CREATE TABLE CTA_CONTABLE
(
   CD_CTA_CONTABLE VARCHAR(30) CONSTRAINT PK_CTA_CONTABLE NOT NULL PRIMARY KEY,
   NM_CTA_CONTABLE VARCHAR(60) NOT NULL,
   DESCRIPCION VARCHAR(100),
   CD_TIPO_CTA_CONTABLE INTEGER
      CONSTRAINT FK_TP_CTA_CONT
           REFERENCES TIPO_CTA_CONTABLE(CD_TIPO_CTA_CONTABLE),
   TOTAL VARCHAR(20),
   CTA_SUPERIOR VARCHAR(30),
   NIVEL INTEGER
);

CREATE TABLE CTA_CONTABLE_TMP
(
   CD_CTA_CONTABLE VARCHAR(30) NOT NULL,
   NM_CTA_CONTABLE VARCHAR(60) NOT NULL,
   DESCRIPCION VARCHAR(100),
   CD_TIPO_CTA_CONTABLE INTEGER,
   TOTAL VARCHAR(20),
   BCE VARCHAR(20),
   NIVEL_SUPERIOR VARCHAR(20),
   NIVEL INTEGER, 
   TRANSACCION INTEGER
);


CREATE TABLE TIPO_DIARIO
(
   CD_TIPO_DIARIO SERIAL CONSTRAINT PK_TIPO_DIARIO NOT NULL PRIMARY KEY,
   NM_TIPO_DIARIO VARCHAR(60) NOT NULL UNIQUE,
   DESCRIPCION VARCHAR(80)
);


CREATE TABLE TRANSACCION_CONTABLE
(
   CD_TRANSACCION_CONTABLE SERIAL CONSTRAINT PK_TRAN_CONTABLE NOT NULL PRIMARY KEY,
   CD_CTA_CONTABLE VARCHAR(20),
   COMPROBANTE VARCHAR(25),
   DESCRIPCION VARCHAR(200),
   DIARIO VARCHAR(25),
   TP_TRANSACCION VARCHAR(20),
   VALOR NUMERIC(27,2),
   FE_TRANSACCION DATE,
   ASIENTO_CUADRADO VARCHAR(10)
);

CREATE TABLE CIERRE
(
   CD_CIERRE SERIAL CONSTRAINT PK_CIERRE NOT NULL PRIMARY KEY,
   FE_CIERRE DATE,
   COMPROBANTE VARCHAR(25),
   TIPO VARCHAR(10) 
);

CREATE TABLE TRANS_CIERRE
(
   CD_TRANS_CIERRE SERIAL CONSTRAINT PK_TRAN_CIERRE NOT NULL PRIMARY KEY,
   CD_CTA_CONTABLE VARCHAR(20),
   COMPROBANTE VARCHAR(25),
   DESCRIPCION VARCHAR(120),
   DIARIO VARCHAR(25),
   TP_TRANSACCION VARCHAR(20),
   VALOR NUMERIC(27,2),
   FE_TRANSACCION DATE,
   CD_CIERRE INTEGER
       CONSTRAINT FK_CIERRE_TRANS_CIERRE
            REFERENCES CIERRE(CD_CIERRE)
);

CREATE TABLE TRANS_CONTABLE_TMP
(
   CD_TRANS_CONTABLE_TMP SERIAL CONSTRAINT PK_TRAN_CONTABLE_TMP NOT NULL PRIMARY KEY,
   CD_CTA_CONTABLE VARCHAR(20),
   TP_TRANSACCION VARCHAR(20),
   VALOR NUMERIC(27,2),
   CD_TRANSACCION INTEGER
);

CREATE TABLE TRANS_CONTABLE_EN_CURSO
(
   CD_TRANS_CONTABLE_EN_CURSO SERIAL CONSTRAINT PK_TRAN_CONT_EN_CURSO NOT NULL PRIMARY KEY,
   COMPROBANTE VARCHAR(25),
   FE_TRANS_CONTABLE_EN_CURSO DATE
);

